<?php
// $Id: embed_widgets_iframe_css.tpl.php,v 1.1.2.18 2008/09/20 17:28:15 jtsnow Exp $

/**
 * @file embed_widgets_iframe_css.tpl.php
 * Template for custom theme CSS.
 *
 * Available variables:
 * - $style: An array of various hex colors that provide a color scheme.
 *
 * @see template_preprocess_embed_widgets_iframe_css()
 */
?>

html.js div.drupal-tabs {
  display: block;
}

// Adapted from Interactive Media theme.

html {
  direction: ltr; /* LTR */
}

/* Auto Generated Color Scheme: 
<?php  print Print_r($style, TRUE) ?>
*/



/**
 * Generic elements
 */
body {
  direction: ltr; /* LTR */
  color: #<?php  print $style["textcolor"] ?>;
  background: #<?php  print $style["bgcolor"] ?>;
  font-size: <?php  print $style["fontsize"] ?>%;
  font-family: "Lucida Grande", "Lucida Sans Unicode", Verdana, Geneva, sans-serif;
  font-weight: normal;
  line-height: 1.7em;
  text-align: left; /* LTR */
  margin: 0 auto;
  padding: 0;
}
input {
  font-size: 12px;
  font-family: Verdana, sans-serif;
  line-height: 100%;
}
textarea, select {
  font-size: 12px;
  font-family: Verdana, sans-serif;
  line-height: 160%;
}
h1, h2, h3, h4, h5, h6 {
  margin: .75em 0;
  padding: 0;
  font-weight: bold;
  font-family: "Lucida Grande", "Lucida Sans Unicode", Verdana, Geneva, sans-serif;
}
h1 {
  font-size: 1.4em;
}
h2 {
  font-size: 1.2em;
}
h3 {
  font-size: 1.1em;
}
h4 {
  font-size: 1.0em;
}
h5 {
  font-size: 1.0em;
}
h6 {
  font-size: 1.0em;
}
code, fieldset {
  margin: .75em 0;
}
pre {
  background: #CCC;
  border: 1px solid #DDD;
  font-size: 12px;
  padding: .75em 1.5em;
}
blockquote {
  margin: 1.5em 0;
}
p {
  margin: .6em 0 1.2em;
  padding: 0;
}
a:link, a:visited {
  border-bottom: 1px dotted #<?php  print $style["linkcolor"] ?>;
  color: #<?php  print $style["linkcolor"] ?>;
  text-decoration: none;
  padding-bottom: 1px;
}
a:hover {
  border-bottom: 1px solid #<?php  print $style["linkhover"] ?>;
  color: #<?php  print $style["linkhover"] ?>;
}
ul {
  margin: 0 0 1em;
  padding: 0;
}
ol {
  margin: 0em 0 1.25em;
  padding: 0;
}
ol li, ul li {
  margin: 0 0 .4em .5em; /* LTR */
}
ul.menu, .item-list ul {
  margin: 0 0 0 -.5em; /* LTR */
  padding: 0;
}
ul.menu ul, .item-list ul ul {
  margin-left: 0; /* LTR */
}
ol li, ul li, ul.menu li, .item-list ul li, li.leaf {
  margin: 0 0 .15em .5em; /* LTR */
}
ul li, ul.menu li, .item-list ul li, li.leaf {
  padding: 0 0 .2em 1.5em;
}
ol li {
  padding: 0 0 .3em;
  margin-left: 2em; /* LTR */
}
ul li.expanded {
}
ul li.collapsed {
}
ul li.leaf a, ul li.expanded a, ul li.collapsed a {
  display: block;
}
fieldset {
  padding: .5em;
  border: 1px solid #CCC;
}
fieldset ul.clear-block li {
  margin: 0;
  padding: 0;
  background-image: none;
}
dl {
  margin: .5em 0 1em 1.5em; /* LTR */
}
dl dd {
  margin: 0 0 .5em 1.5em; /* LTR */
}
img, a img {
  border: 0 none;
}
table {
  font-size: 1em;
  width: 100%;
  color: #<?php  print $style["table_text_color"] ?>
}
thead th {
  color: #<?php  print $style["textcolor"] ?>;
  font-weight: bold;
  border-bottom:3px solid #<?php  print $style["textcolor"] ?>;
}
th a:link, th a:visited {
  color: #<?php  print $style["linkcolor"] ?>;
}
tr.odd a:link, tr.odd a:visited, tr.even a:link, tr.even a:visited {
  color: #<?php  print $style["table_link_color"] ?>;
  border-bottom: 1px solid #<?php  print $style["table_link_color"] ?>;
}

td, th {
  padding: .3em .5em;
}
tr.even, tr.odd, tbody th {
  border-width: 1px 0;
}
tr.odd, tr.info {
  background-color: #<?php  print $style["tr_odd"] ?>;
}
tr.even {
  background-color: #<?php  print $style["tr_even"] ?>;
}
tr.drag {
  background-color: #<?php  print $style["tr_odd_active"] ?>;
}
tr.drag-previous {
  background-color: #<?php  print $style["tr_even_active"] ?>;
}
tr.odd td.active {
  background-color: #<?php  print $style["tr_odd_active"] ?>;
}
tr.even td.active {
  background-color: #<?php  print $style["tr_even_active"] ?>;
}
td.region, td.module, td.container, td.category {
  border-top: 1.5em solid #FFF;
  border-bottom: 1px solid #CCC;
  background-color: #D4E7F3;
  color: #455067;
  font-weight: bold;
}
tr:first-child td.region, tr:first-child td.module, tr:first-child td.container, tr:first-child td.category {
  border-top-width: 0;
}
span.form-required {
  color: #FFAE00;
}
span.submitted, .description {
  font-size: .92em;
  color: #<?php print $style['alt_text'] ?>;
}
.description {
  line-height: 150%;
  margin-bottom: .75em;
  color: #<?php print $style['alt_text'] ?>;
}
.messages {
  margin: .75em 0;
  padding: .5em 1em;
}
.messages ul {
  margin: 0;
}
.form-checkboxes, .form-radios, .form-checkboxes .form-item, .form-radios .form-item {
  margin: .25em 0;
}
#center form {
  margin-bottom: 2em;
}
.form-button, .form-submit {
  margin: 2em .5em 1em 0; /* LTR */
}
#dblog-form-overview .form-submit,
.confirmation .form-submit,
.search-form .form-submit,
.poll .form-submit,
fieldset .form-button, fieldset .form-submit,
.sidebar .form-button, .sidebar .form-submit,
table .form-button, table .form-submit {
  margin: 0;
}
.box {
  margin: 2.5em 0;
}
.meta,
.meta * {
  background: none;
  font-weight: normal;
  line-height: 20px;
  margin: .2em 0 0;
  padding: 0;
}
.meta {
  color: #AAA;
}
.meta-footer {
  text-align: right; /* LTR */
}


/**
 *  Tab navigation
 */
ul.primary {
  border-collapse: collapse;
  padding: 0 0 0 1em; /* LTR */
  white-space: nowrap;
  list-style: none;
  margin: 5px;
  height: auto;
  line-height: normal;
  border-bottom: 1px solid #<?php  print $style["tab_border"] ?>;
}
ul.primary li {
  display: inline;
}
ul.primary li a {
  background-color: #<?php  print $style["tab_background"] ?>;
  border-color: #<?php  print $style["tab_border"] ?>;
  border-width: 1px;
  border-style: solid solid none solid;
  height: auto;
  margin-right: 0.5em; /* LTR */
  padding: 0 0.7em;
  text-decoration: none;
}
ul.primary li.active a {
  background-color: #<?php  print $style["tab_active"] ?>;
  border: 1px solid #<?php  print $style["tab_border"] ?>;
  border-bottom: #<?php  print $style["tab_active"] ?> 1px solid;
}
ul.primary li a:hover {
  background-color: #<?php  print $style["tab_hover"] ?>;
  border-color: #<?php  print $style["tab_border"] ?>;
  border-bottom-color: #<?php  print $style["bgcolor"] ?>;
}
ul.primary li.active a:hover {
  background-color: #<?php  print $style["tab_hover"] ?>;
  border: 1px solid #<?php  print $style["tab_border"] ?>;
  border-bottom: #<?php  print $style["tab_hover"] ?> 1px solid;
}




#breadcrumb {
  height: 24px;
  font-size: 1em;
  margin-bottom: 40px;
}
.breadcrumb {
  height: 24px;
  line-height: 24px;
  margin: 0;
  padding: 0;
}
.breadcrumb a {
  color: #768998;
  border: none;
}
.breadcrumb a:hover {
  color: #<?php  print $style["linkcolor"] ?>;
  border: none;
}



/**
 * Local tasks
 */
ul.primary, ul.primary li {
  background: none;
  margin: 0em 0;
  padding: 0;
}
ul.secondary, ul.secondary li {
  background: none;
  margin: .5em 0;
}

/**
 * Nodes and comments
 */
.node {
  margin: 0 0 30px;
}
ul.links li, ul.inline li {
  font-size: 1em;
  line-height: 20px;
  margin: 0 1em 0 0; /* LTR */
  padding: 0;
  background-image: none;
}
.picture {
  border: none;
  float: right; /* LTR */
  margin: 0 0 .5em .5em; /* LTR */
}
.sticky {
  padding: .5em;
  border: 1px solid #CCC;
}
.comment {
  border: 1px solid #CCC;
  margin: 1em 0 0;
  padding: .5em;
}
.indented {
  margin-left: 25px; /* LTR */
}
.node .content, .comment .content {
  margin: .6em 0;
}

/**
 * Aggregator.module
 */
#aggregator {
  margin-top: 1em;
}
#aggregator .feed-item-title {
  font-size: 160%;
  line-height: 130%;
}
#aggregator .feed-item {
  border-bottom: 1px solid #CCC;
  margin: -1.5em 0 1.75em;
  padding: 1.5em 0;
}
#aggregator .feed-item-categories {
  font-size: .92em;
}
#aggregator .feed-item-meta {
  font-size: .92em;
  color: #CCC;
}

/**
 * Menu.module
 */
tr.odd td.menu-disabled {
  background-color: #FFF;
}
tr.even td.menu-disabled {
  background-color: #FFF;
}

/**
 * OpenID.module
 */
#user-login-form li.openid-link,
#user-login li.openid-link {
  background-position: left center; /* LTR */
  margin: 0;
  padding: 2px 0 2px 18px; /* LTR */
}

/**
 * Tagadelic.module
 */
a.tagadelic {
  color: #25771F;
}
a.tagadelic:hover {
  background: #E7FEE5;
  color: #007898;
}

/**
 * Autocomplete.
 */
#autocomplete li {
  cursor: default;
  padding: 2px;
  margin: 0;
}

/**
 * Login Block
 */
#user-login-form {
  text-align: center;
}
#user-login-form ul {
  text-align: left; /* LTR */
}

/**
 * User profiles.
 */
.profile {
  margin-top: 1.5em;
}
.profile h3 {
  border-bottom: 0;
  margin-bottom: 1em;
}
.profile dl {
  margin: 0;
}
.profile dt {
  font-weight: normal;
  font-size: .92em;
  line-height: 1.3em;
  margin-top: 1.4em;
  margin-bottom: .45em;
}
.profile dd {
  margin-bottom: 1.6em;
}

/**
 * Widget Elements
 */
.ui-tabs-panel {
  background-color: #<?php  print $style["tab_content_bg"] ?>;
  padding-left: 0.5em;
  padding-right:0.5em;
  border-left: 1px solid #<?php  print $style["tab_border"] ?>;
  border-bottom: 1px solid #<?php  print $style["tab_border"] ?>;
  border-right: 1px solid #<?php  print $style["tab_border"] ?>;
  height: <?php  print $style["height"] ?>px;
  overflow: auto;
}

#tabs-widget {
  margin: 0 5px;
}

#widget-title {
  margin-left: 0.5em;
  color: #<?php  print $style["title_color"] ?>
}
.widget-footer {
  float: left;
  margin-left: 0.5em;
  color: #<?php  print $style["title_color"] ?>
}
.widget-footer a:link, a:visited {
  border-bottom: 1px dotted #<?php  print $style["footer_link"] ?>;
  color: #<?php  print $style["footer_link"] ?>;
  text-decoration: none;
  padding-bottom: 1px;
}
.widget-footer a:hover {
  border-bottom: 1px solid #<?php  print $style["footer_link"] ?>;
  color: #<?php  print $style["footer_link"] ?>;
}
.widget-button {
  float: right;
  margin-left: 0.5em;
  margin-right: 0.5em;
  margin-top: 2px;
  border: none;
}
.widget-button a {
  border: none;
}

/**
 * CSS support
 */

/*******************************************************************
 * Color Module: Don't touch                                       *
 *******************************************************************/

/**
 * Generic elements.
 */
.messages {
  background-color: #FFF;
  border: 1px solid #B8D3E5;
}
.preview {
  background-color: #FCFCE8;
  border: 1px solid #E5E58F;
}
div.status {
  color: #33A333;
  border-color: #C7F2C8;
}
div.error, tr.error {
  color: #A30000;
  background-color: #FCC;
}
.form-item input.error, .form-item textarea.error {
  border: 1px solid #C52020;
  color: #363636;
}

