<?php
// $Id: embed_widgets_iframe_page.tpl.php,v 1.1.2.11 2008/08/14 06:28:33 jtsnow Exp $

/**
 * @file embed_widgets_iframe_page.tpl.php
 * Template for widgets that don't use jQuery tabs navigation.
 *
 * Available variables:
 * - $content['title']: The widget title.
 * - $content['head']: HTML to be placed in <head> tag.
 * - $content['scripts']: Necessary JavaScript includes.
 * - $content['css']: Necessary CSS includes.
 * - $content['tabs']: An array of tabs.
 * - $tab['class']: The class for each tab. Determines if that tab is active or inactive.
 * - $tab['url']: The URL for that tab.
 * - $tab['title']: The tab title.
 * - $content['content']: The content for the active tab.
 * - $content['footer']: The widget footer.
 * - $content['button']: The embed button provides a link for other users to embed the widget.
 *
 * @see template_preprocess_embed_widgets_iframe_page()
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php  print $page["language"] ?>" xml:lang="<?php  print $page["language"] ?>">
<head>
  <title><?php  print $content["title"] ?></title>
  <?php print $content["head"] ?>
  <?php print $content["scripts"] ?>
  <?php //print $page["robots_meta"] ?>
  <?php print $content["css"] ?>
  <base target="_blank">
</head>
<body>
  <div id="widget-title"><h1><?php print $content['title'] ?></h1></div>
  <div id="tabs-widget" class="drupal-tabs tabs-navigation">
    <ul class="ui-tabs-nav tabs primary">
      <?php foreach ($content['tabs'] as $sid => $tab) { ?>
      <li class="<?php print $tab['class'] ?>"><a href="<?php print $tab['url'] ?>"><?php print $tab['title'] ?></a></li>
      <?php } ?>
    </ul>
    <div id="tabs-widget-1" class="ui-tabs-panel">
      <?php print $content["content"] ?>
    </div>
  </div>
  <?php if ($content["footer"]) { ?>
    <div id="footer"><?php  print $content['footer'] ?></div>
  <?php } ?>
  <?php if ($page["button"]) { ?>
    <div class="widget-button"><?php  print $page['button'] ?></div>
  <?php } ?>
</body>
</html>
