<?php
// $Id: widgets.inc,v 1.1.2.8 2008/08/14 06:28:33 jtsnow Exp $

/**
 * @file widgets.inc
 * Implementations of hook_widgets()
 * 
 * Provides a widget source for user profile: user_widgets().
 * Also provides the "empty" widget that is displayed if no content has been added to a widget.
 */

/**
 * Implementation of hook_widgets().
 */
function user_widgets() {
  $widgets = array();
  $widgets['widgets'] = array();
 
  $widgets['sources']['profile'] = array(
    'sid' => 'profile',
    'title' => 'Profile',
    'description' => t("Displays the current user's profile."),
    'settings' => array(
      'content' => 'profile_widget_display',
      'function' => TRUE,
      'file' => drupal_get_path('module', 'embed_widgets') . '/widgets.inc',
      'arguments' => array(
        'user_id' => array(
          '#type' => 'hidden',
          '#value' => '%uid',
        ),
      ),
    ),
  );
  return $widgets;
}

/**
 * Display a user's profile.
 * 
 * Content callback function for profile widget source.
 */
function profile_widget_display($args = array()) {
    $account = user_load(array('uid' => $args['user_id']));
    require_once './' . drupal_get_path('module', 'user') . '/user.pages.inc';
    $output .= '<h3>' . $account->name . '</h3>';
    $output .= user_view($account);
    return $output;
}

/**
 * Implementation of hook_widgets().
 */
function embed_widgets_widgets() {
  $widgets = array();
  $widgets['widgets'] = array();
  $widgets['sources']['empty_widget'] = array(
    'sid' => 'empty_widget',
    'title' => 'No Content',
    'description' => t('This source is displayed when no other sources have been added to the widget.'),
    'unlisted' => TRUE,
    'settings' => array(
      'content' => t('No content has been added to this widget.'),
    ),
  );
  return $widgets;
}
